import React from 'react';
import { PageContainer } from '@ant-design/pro-layout';
import { Card, Alert, Typography } from 'antd';
// import { useIntl, FormattedMessage } from 'umi';
import HeaderContent from './components/HeaderContent';
import styles from './style.less';

export default () => {
  // const intl = useIntl();
  return (
    <PageContainer
      header={{
        title: '工作台'
      }}
      content={<HeaderContent />}
    >
      <Card>
        <Alert
          // message={intl.formatMessage({
          //   id: 'pages.welcome.alertMessage',
          //   defaultMessage: '更快更强的重型组件，已经发布。',
          // })}
          message="更快更强的重型组件，已经发布。"
          type="success"
          showIcon
          banner
          style={{
            margin: -12,
            marginBottom: 24,
          }}
        />
        <Typography.Text strong>
          {/* <FormattedMessage id="pages.welcome.advancedComponent" defaultMessage="高级表格" /> */}
          高级表格{' '}
          <a
            href="https://procomponents.ant.design/components/table"
            rel="noopener noreferrer"
            target="__blank"
          >
            {/* <FormattedMessage id="pages.welcome.link" defaultMessage="欢迎使用" /> */}
            欢迎使用
          </a>
        </Typography.Text>
    
        <Typography.Text
          strong
          style={{
            marginBottom: 12,
          }}
        >
          {/* <FormattedMessage id="pages.welcome.advancedLayout" defaultMessage="高级布局" /> */}
          高级布局{' '}
          <a
            href="https://procomponents.ant.design/components/layout"
            rel="noopener noreferrer"
            target="__blank"
          >
            {/* <FormattedMessage id="pages.welcome.link" defaultMessage="欢迎使用" /> */}
            欢迎使用
          </a>
        </Typography.Text>

      </Card>
    </PageContainer>
  );
};
